> For the complete documentation index, see [llms.txt](https://docs.cryptum.io/english/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptum.io/english/community-edition/sdk-guides/queries/get-fees-information.md).

# Get fees information

#### `sdk.transaction.getFee(opts)`

If you wish to get estimate fee information for a transfer of the native token like ether, the parameters type, from, destination and amount should be passed as follows:

* `opts.type` (string)(**required**) - type of the transaction. It should be `TRANSFER` in this case.
* `opts.from` (string)(**required**) - origin or signing address.
* `opts.destination` (string)(**required**) - destination address.
* `opts.protocol` (string)(**required**) - blockchain protocol.

For smart contract method calls, just pass with the additional parameters:

* `opts.type` (string)(**required**) - type of the transaction. It should be `CALL_CONTRACT_METHOD` in this case.
* `opts.from` (string)(**required**) - origin or signing address.
* `opts.contractAddress` (string)(**required**) - contract address.
* `opts.contractAbi` (array)(**required**) - method ABI to be used.
* `opts.method` (string)(**required**) - method name.
* `opts.params` (array) - method parameters.
* `opts.protocol` (string)(**required**) - blockchain protocol.

And for smart contract deployments:

* `opts.type` (string)(**required**) - type of the transaction. It should be `DEPLOY_CONTRACT` in this case.
* `opts.from` (string)(**required**) - origin or signing address.
* `opts.contractName` (string)(**required**) - contract name.
* `opts.source` (string)(**required**) - contract source code.
* `opts.params` (array) - contract constructor parameters.
* `opts.protocol` (string)(**required**) - blockchain protocol.

```javascript
const fee = await sdk.transaction.getFee({
  type: 'TRANSFER',
  from: '0xaaaaaa',
  destination: '0xbbbbbbbb',
  protocol: 'POLYGON',
})
// Fee information object
// {
//   "chainId": 137,
//   "estimateValue": "0.000021",
//   "unit": "wei",
//   "gas": 21000,
//   "gasPrice": "1000000000"
// }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cryptum.io/english/community-edition/sdk-guides/queries/get-fees-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
